nodejs-prompt-0.2.9-alt1_3.noarch.rpm


Advertisement

Description

nodejs-prompt - A beautiful command-line prompt for Node.js

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name nodejs-prompt
Package version 0.2.9
Package release alt1_3
Package architecture noarch
Package type rpm
Installed size 87.57 KB
Download size 87.57 KB
Official Mirror ftp.altlinux.org
A beautiful command-line prompt for Node.js. Features include:
- prompting for user input
- validation and defaults
- hiding of passwords

Alternatives

Package Version Architecture Repository
nodejs-prompt - - -

Requires

Name Value
/usr/lib/node_modules/pkginfo -
/usr/lib/node_modules/read -
/usr/lib/node_modules/revalidator -
/usr/lib/node_modules/utile -
/usr/lib/node_modules/winston -
nodejs(engine) >= 0.6.6
npm(pkginfo) < 1
npm(read) < 2
npm(read) >= 1.0
npm(revalidator) < 1
npm(revalidator) >= 0.1
npm(utile) >= 0.1
npm(utile) < 1
npm(winston) < 1
npm(winston) >= 0.6
rpmlib(PayloadIsLzma) -

Provides

Name Value
nodejs-prompt = 0.2.9-alt1_3
npm(prompt) = 0.2.9

Download

Type URL
Binary Package nodejs-prompt-0.2.9-alt1_3.noarch.rpm
Source Package nodejs-prompt-0.2.9-alt1_3.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install nodejs-prompt rpm package:
    # sudo apt-get install nodejs-prompt

Files

Path
/usr/lib/node_modules/prompt/package.json
/usr/lib/node_modules/prompt/lib/prompt.js
/usr/lib/node_modules/prompt/node_modules/pkginfo
/usr/lib/node_modules/prompt/node_modules/read
/usr/lib/node_modules/prompt/node_modules/revalidator
/usr/lib/node_modules/prompt/node_modules/utile
/usr/lib/node_modules/prompt/node_modules/winston
/usr/share/doc/nodejs-prompt-0.2.9/CHANGELOG.md
/usr/share/doc/nodejs-prompt-0.2.9/LICENSE
/usr/share/doc/nodejs-prompt-0.2.9/README.md
/usr/share/doc/nodejs-prompt-0.2.9/docs/docco.css
/usr/share/doc/nodejs-prompt-0.2.9/docs/prompt.html
/usr/share/doc/nodejs-prompt-0.2.9/examples/add-properties.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/existing-properties.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/history.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/nested-properties-prompt.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/old-schema.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/override-validation.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/password.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/prompt-override.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/property-prompt.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/simple-prompt.js
/usr/share/doc/nodejs-prompt-0.2.9/examples/yes-or-no-prompt.js

See Also

Package Description
nodejs-promzard-0.2.0-alt1_7.noarch.rpm A prompting wizard for building files from specialized PromZard modules
nodejs-proto-list-1.2.2-alt1_6.noarch.rpm A list of objects bound by prototype chain
nodejs-pubcontrol-0.3.2-alt1_2.noarch.rpm HTTP Extensible Pubsub Control Protocol (EPCP) library for Node.js
nodejs-q-0.9.6-alt1_2.noarch.rpm A tool for making and composing asynchronous promises in JavaScript
nodejs-q-io-1.9.1-alt1_2.noarch.rpm Interfaces for IO using Q promises in JavaScript on Node.js
nodejs-qs-0.6.5-alt1_3.noarch.rpm Query string parser for Node.js
nodejs-range-parser-0.0.4-alt1_5.noarch.rpm Range header field string parser for Node.js
nodejs-read-1.0.5-alt1_1.noarch.rpm An implementation of read(1) for node programs
nodejs-read-installed-0.2.3-alt1_1.noarch.rpm Returns a tree structure of all installed packages in a folder
nodejs-read-package-json-1.1.1-alt1_1.noarch.rpm npm's package.json parser
nodejs-repl-0.1.3-alt1_4.noarch.rpm A lightweight templating library for Node.js
nodejs-request-2.25.0-alt1_1.noarch.rpm Simplified HTTP request client
nodejs-require-all-0.0.6-alt1_2.noarch.rpm Require all files within a directory
nodejs-require-cs-0.4.4-alt1_1.noarch.rpm An AMD loader plugin for CoffeeScript
nodejs-requirejs-2.1.8-alt1_1.noarch.rpm Node.js adapter for RequireJS, for loading AMD modules
Advertisement
Advertisement